Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] Update gajim
@ 2021-02-22 18:58 teldra
  2021-02-23 15:35 ` [WIP] " teldra
                   ` (9 more replies)
  0 siblings, 10 replies; 11+ messages in thread
From: teldra @ 2021-02-22 18:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 908 bytes --]

There is a new pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-gajim
https://github.com/void-linux/void-packages/pull/28980

Update gajim
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (x86_64-glibc)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl

closes https://github.com/void-linux/void-packages/pull/27957


A patch file from https://github.com/void-linux/void-packages/pull/28980.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-gajim-28980.patch --]
[-- Type: text/x-diff, Size: 2806 bytes --]

From e0c483278894e5d65a936b59a67978e0196e3e6b Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 22 Feb 2021 19:09:36 +0100
Subject: [PATCH 1/2] python3-nbxmpp: update to 2.0.2.

---
 srcpkgs/python3-nbxmpp/template | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-nbxmpp/template b/srcpkgs/python3-nbxmpp/template
index bb6b13ae6ff..f0fe8a25297 100644
--- a/srcpkgs/python3-nbxmpp/template
+++ b/srcpkgs/python3-nbxmpp/template
@@ -1,15 +1,20 @@
 # Template file for 'python3-nbxmpp'
 pkgname=python3-nbxmpp
-version=1.0.2
-revision=2
+version=2.0.2
+revision=1
 wrksrc="${pkgname#*-}-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-openssl"
+depends="python3-gobject python3-openssl python3-precis-i18n python3-idna"
+checkdepends="${depends} python3-wheel python3-pylint python3-coverage libsoup"
 short_desc="Non blocking Jabber/XMPP module"
 maintainer="Duncaen <duncaen@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://python-nbxmpp.gajim.org/"
 #changelog="https://dev.gajim.org/gajim/python-nbxmpp/raw/master/ChangeLog"
 distfiles="${PYPI_SITE}/n/nbxmpp/nbxmpp-${version}.tar.gz"
-checksum=991f014a2736123e989da454d6a467be8c4314bf86dbcc889e899f03726e856f
+checksum=a3863671ab88992d3ea5d475b25c88ffe18aa1030c9ce980e1014470d4760291
+
+do_check() {
+	coverage run --source=nbxmpp -m unittest discover -v
+}

From 02794c0d2d51e534c479d35bc3f58b156f9bb90e Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 22 Feb 2021 19:33:08 +0100
Subject: [PATCH 2/2] gajim: update to 1.3.0.

---
 srcpkgs/gajim/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gajim/template b/srcpkgs/gajim/template
index e4546a5e72f..ecec403f2d4 100644
--- a/srcpkgs/gajim/template
+++ b/srcpkgs/gajim/template
@@ -1,7 +1,8 @@
 # Template file for 'gajim'
 pkgname=gajim
-version=1.2.2
-revision=3
+version=1.3.0
+revision=1
+wrksrc=gajim-gajim-${version}
 build_style=python3-module
 hostmakedepends="gettext python3-setuptools"
 depends="python3-gobject python3-nbxmpp python3-pyasn1 python3-setuptools
@@ -11,9 +12,9 @@ short_desc="Full featured Jabber/XMPP client"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-3.0-only"
 homepage="https://www.gajim.org"
-changelog="https://dev.gajim.org/gajim/gajim/-/raw/master/ChangeLog"
+changelog="https://dev.gajim.org/gajim/gajim/raw/gajim-${version}/ChangeLog"
 distfiles="https://gajim.org/downloads/${version%.*}/gajim-${version}.tar.gz"
-checksum=fd0d1653fb3f7f97207fecc3218d38915adb1d741bf95a7eef83605bd6b8ccbd
+checksum=45e8c39e48225d6eb477f0c470112f3ba77c5def5795194f902ae51f32ea0cec
 # Does not find gdk, introspection typelib
 # even wtih gdk-pixbuf in checkdepends
 make_check=no

^ permalink raw reply	[flat|nested] 11+ messages in thread

* Re: [WIP] Update gajim
  2021-02-22 18:58 [PR PATCH] Update gajim teldra
@ 2021-02-23 15:35 ` teldra
  2021-02-23 22:35 ` ericonr
                   ` (8 subsequent siblings)
  9 siblings, 0 replies; 11+ messages in thread
From: teldra @ 2021-02-23 15:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 465 bytes --]

New comment by teldra on void-packages repository

https://github.com/void-linux/void-packages/pull/28980#issuecomment-784289091

Comment:
Gajim uses plugins. One can install them via zipfile. There is a plugin to install plugins via internet (plugin_installer).
This update will break all plugins and it will be impossible to update any. (The reason I packaged plugin_installer and updated gajim-omemo). Should I add an install.msg to describe this behavior?



^ permalink raw reply	[flat|nested] 11+ messages in thread

* Re: [WIP] Update gajim
  2021-02-22 18:58 [PR PATCH] Update gajim teldra
  2021-02-23 15:35 ` [WIP] " teldra
@ 2021-02-23 22:35 ` ericonr
  2021-02-23 23:51 ` [PR PATCH] [Updated] " teldra
                   ` (7 subsequent siblings)
  9 siblings, 0 replies; 11+ messages in thread
From: ericonr @ 2021-02-23 22:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 411 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28980#issuecomment-784562353

Comment:
> This update will break all plugins and it will be impossible to update any.

Is this usual with updates? If it's unexpected or they don't have a good error message of their own, I think a message could be added. Otherwise people will see it when they launch the app.

^ permalink raw reply	[flat|nested] 11+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] Update gajim
  2021-02-22 18:58 [PR PATCH] Update gajim teldra
  2021-02-23 15:35 ` [WIP] " teldra
  2021-02-23 22:35 ` ericonr
@ 2021-02-23 23:51 ` teldra
  2021-02-23 23:52 ` teldra
                   ` (6 subsequent siblings)
  9 siblings, 0 replies; 11+ messages in thread
From: teldra @ 2021-02-23 23:51 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 919 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-gajim
https://github.com/void-linux/void-packages/pull/28980

[WIP] Update gajim
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (x86_64-glibc)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl

closes https://github.com/void-linux/void-packages/pull/27957


A patch file from https://github.com/void-linux/void-packages/pull/28980.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-gajim-28980.patch --]
[-- Type: text/x-diff, Size: 3206 bytes --]

From e0c483278894e5d65a936b59a67978e0196e3e6b Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 22 Feb 2021 19:09:36 +0100
Subject: [PATCH 1/2] python3-nbxmpp: update to 2.0.2.

---
 srcpkgs/python3-nbxmpp/template | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-nbxmpp/template b/srcpkgs/python3-nbxmpp/template
index bb6b13ae6ff..f0fe8a25297 100644
--- a/srcpkgs/python3-nbxmpp/template
+++ b/srcpkgs/python3-nbxmpp/template
@@ -1,15 +1,20 @@
 # Template file for 'python3-nbxmpp'
 pkgname=python3-nbxmpp
-version=1.0.2
-revision=2
+version=2.0.2
+revision=1
 wrksrc="${pkgname#*-}-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-openssl"
+depends="python3-gobject python3-openssl python3-precis-i18n python3-idna"
+checkdepends="${depends} python3-wheel python3-pylint python3-coverage libsoup"
 short_desc="Non blocking Jabber/XMPP module"
 maintainer="Duncaen <duncaen@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://python-nbxmpp.gajim.org/"
 #changelog="https://dev.gajim.org/gajim/python-nbxmpp/raw/master/ChangeLog"
 distfiles="${PYPI_SITE}/n/nbxmpp/nbxmpp-${version}.tar.gz"
-checksum=991f014a2736123e989da454d6a467be8c4314bf86dbcc889e899f03726e856f
+checksum=a3863671ab88992d3ea5d475b25c88ffe18aa1030c9ce980e1014470d4760291
+
+do_check() {
+	coverage run --source=nbxmpp -m unittest discover -v
+}

From 913ff3473db178e29df0a9d7e09698279d547b8a Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 22 Feb 2021 19:33:08 +0100
Subject: [PATCH 2/2] gajim: update to 1.3.0.

---
 srcpkgs/gajim/INSTALL.msg | 2 ++
 srcpkgs/gajim/template    | 9 +++++----
 2 files changed, 7 insertions(+), 4 deletions(-)
 create mode 100644 srcpkgs/gajim/INSTALL.msg

diff --git a/srcpkgs/gajim/INSTALL.msg b/srcpkgs/gajim/INSTALL.msg
new file mode 100644
index 00000000000..96b141da3bc
--- /dev/null
+++ b/srcpkgs/gajim/INSTALL.msg
@@ -0,0 +1,2 @@
+'gajim-1.3.0.' do not work with plugins from older versions.
+Install 'gajim-plugin_installer' to update.
\ No newline at end of file
diff --git a/srcpkgs/gajim/template b/srcpkgs/gajim/template
index e4546a5e72f..ecec403f2d4 100644
--- a/srcpkgs/gajim/template
+++ b/srcpkgs/gajim/template
@@ -1,7 +1,8 @@
 # Template file for 'gajim'
 pkgname=gajim
-version=1.2.2
-revision=3
+version=1.3.0
+revision=1
+wrksrc=gajim-gajim-${version}
 build_style=python3-module
 hostmakedepends="gettext python3-setuptools"
 depends="python3-gobject python3-nbxmpp python3-pyasn1 python3-setuptools
@@ -11,9 +12,9 @@ short_desc="Full featured Jabber/XMPP client"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-3.0-only"
 homepage="https://www.gajim.org"
-changelog="https://dev.gajim.org/gajim/gajim/-/raw/master/ChangeLog"
+changelog="https://dev.gajim.org/gajim/gajim/raw/gajim-${version}/ChangeLog"
 distfiles="https://gajim.org/downloads/${version%.*}/gajim-${version}.tar.gz"
-checksum=fd0d1653fb3f7f97207fecc3218d38915adb1d741bf95a7eef83605bd6b8ccbd
+checksum=45e8c39e48225d6eb477f0c470112f3ba77c5def5795194f902ae51f32ea0cec
 # Does not find gdk, introspection typelib
 # even wtih gdk-pixbuf in checkdepends
 make_check=no

^ permalink raw reply	[flat|nested] 11+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] Update gajim
  2021-02-22 18:58 [PR PATCH] Update gajim teldra
                   ` (2 preceding siblings ...)
  2021-02-23 23:51 ` [PR PATCH] [Updated] " teldra
@ 2021-02-23 23:52 ` teldra
  2021-02-23 23:59 ` teldra
                   ` (5 subsequent siblings)
  9 siblings, 0 replies; 11+ messages in thread
From: teldra @ 2021-02-23 23:52 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 919 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-gajim
https://github.com/void-linux/void-packages/pull/28980

[WIP] Update gajim
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (x86_64-glibc)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl

closes https://github.com/void-linux/void-packages/pull/27957


A patch file from https://github.com/void-linux/void-packages/pull/28980.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-gajim-28980.patch --]
[-- Type: text/x-diff, Size: 3178 bytes --]

From e0c483278894e5d65a936b59a67978e0196e3e6b Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 22 Feb 2021 19:09:36 +0100
Subject: [PATCH 1/2] python3-nbxmpp: update to 2.0.2.

---
 srcpkgs/python3-nbxmpp/template | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-nbxmpp/template b/srcpkgs/python3-nbxmpp/template
index bb6b13ae6ff..f0fe8a25297 100644
--- a/srcpkgs/python3-nbxmpp/template
+++ b/srcpkgs/python3-nbxmpp/template
@@ -1,15 +1,20 @@
 # Template file for 'python3-nbxmpp'
 pkgname=python3-nbxmpp
-version=1.0.2
-revision=2
+version=2.0.2
+revision=1
 wrksrc="${pkgname#*-}-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-openssl"
+depends="python3-gobject python3-openssl python3-precis-i18n python3-idna"
+checkdepends="${depends} python3-wheel python3-pylint python3-coverage libsoup"
 short_desc="Non blocking Jabber/XMPP module"
 maintainer="Duncaen <duncaen@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://python-nbxmpp.gajim.org/"
 #changelog="https://dev.gajim.org/gajim/python-nbxmpp/raw/master/ChangeLog"
 distfiles="${PYPI_SITE}/n/nbxmpp/nbxmpp-${version}.tar.gz"
-checksum=991f014a2736123e989da454d6a467be8c4314bf86dbcc889e899f03726e856f
+checksum=a3863671ab88992d3ea5d475b25c88ffe18aa1030c9ce980e1014470d4760291
+
+do_check() {
+	coverage run --source=nbxmpp -m unittest discover -v
+}

From 1bec61e101972bfcb6b5e5fbc8e65fa5863bd6bc Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 22 Feb 2021 19:33:08 +0100
Subject: [PATCH 2/2] gajim: update to 1.3.0.

---
 srcpkgs/gajim/INSTALL.msg | 2 ++
 srcpkgs/gajim/template    | 9 +++++----
 2 files changed, 7 insertions(+), 4 deletions(-)
 create mode 100644 srcpkgs/gajim/INSTALL.msg

diff --git a/srcpkgs/gajim/INSTALL.msg b/srcpkgs/gajim/INSTALL.msg
new file mode 100644
index 00000000000..4b50ad4fc6b
--- /dev/null
+++ b/srcpkgs/gajim/INSTALL.msg
@@ -0,0 +1,2 @@
+'gajim-1.3.0.' do not work with plugins from older versions.
+Install 'gajim-plugin_installer' to update.
diff --git a/srcpkgs/gajim/template b/srcpkgs/gajim/template
index e4546a5e72f..ecec403f2d4 100644
--- a/srcpkgs/gajim/template
+++ b/srcpkgs/gajim/template
@@ -1,7 +1,8 @@
 # Template file for 'gajim'
 pkgname=gajim
-version=1.2.2
-revision=3
+version=1.3.0
+revision=1
+wrksrc=gajim-gajim-${version}
 build_style=python3-module
 hostmakedepends="gettext python3-setuptools"
 depends="python3-gobject python3-nbxmpp python3-pyasn1 python3-setuptools
@@ -11,9 +12,9 @@ short_desc="Full featured Jabber/XMPP client"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-3.0-only"
 homepage="https://www.gajim.org"
-changelog="https://dev.gajim.org/gajim/gajim/-/raw/master/ChangeLog"
+changelog="https://dev.gajim.org/gajim/gajim/raw/gajim-${version}/ChangeLog"
 distfiles="https://gajim.org/downloads/${version%.*}/gajim-${version}.tar.gz"
-checksum=fd0d1653fb3f7f97207fecc3218d38915adb1d741bf95a7eef83605bd6b8ccbd
+checksum=45e8c39e48225d6eb477f0c470112f3ba77c5def5795194f902ae51f32ea0cec
 # Does not find gdk, introspection typelib
 # even wtih gdk-pixbuf in checkdepends
 make_check=no

^ permalink raw reply	[flat|nested] 11+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] Update gajim
  2021-02-22 18:58 [PR PATCH] Update gajim teldra
                   ` (3 preceding siblings ...)
  2021-02-23 23:52 ` teldra
@ 2021-02-23 23:59 ` teldra
  2021-02-24  0:00 ` teldra
                   ` (4 subsequent siblings)
  9 siblings, 0 replies; 11+ messages in thread
From: teldra @ 2021-02-23 23:59 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 919 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-gajim
https://github.com/void-linux/void-packages/pull/28980

[WIP] Update gajim
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (x86_64-glibc)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl

closes https://github.com/void-linux/void-packages/pull/27957


A patch file from https://github.com/void-linux/void-packages/pull/28980.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-gajim-28980.patch --]
[-- Type: text/x-diff, Size: 3188 bytes --]

From e0c483278894e5d65a936b59a67978e0196e3e6b Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 22 Feb 2021 19:09:36 +0100
Subject: [PATCH 1/2] python3-nbxmpp: update to 2.0.2.

---
 srcpkgs/python3-nbxmpp/template | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-nbxmpp/template b/srcpkgs/python3-nbxmpp/template
index bb6b13ae6ff..f0fe8a25297 100644
--- a/srcpkgs/python3-nbxmpp/template
+++ b/srcpkgs/python3-nbxmpp/template
@@ -1,15 +1,20 @@
 # Template file for 'python3-nbxmpp'
 pkgname=python3-nbxmpp
-version=1.0.2
-revision=2
+version=2.0.2
+revision=1
 wrksrc="${pkgname#*-}-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-openssl"
+depends="python3-gobject python3-openssl python3-precis-i18n python3-idna"
+checkdepends="${depends} python3-wheel python3-pylint python3-coverage libsoup"
 short_desc="Non blocking Jabber/XMPP module"
 maintainer="Duncaen <duncaen@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://python-nbxmpp.gajim.org/"
 #changelog="https://dev.gajim.org/gajim/python-nbxmpp/raw/master/ChangeLog"
 distfiles="${PYPI_SITE}/n/nbxmpp/nbxmpp-${version}.tar.gz"
-checksum=991f014a2736123e989da454d6a467be8c4314bf86dbcc889e899f03726e856f
+checksum=a3863671ab88992d3ea5d475b25c88ffe18aa1030c9ce980e1014470d4760291
+
+do_check() {
+	coverage run --source=nbxmpp -m unittest discover -v
+}

From 110881ff58ac33dad7fcbafe9dd6fae1bd918870 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 22 Feb 2021 19:33:08 +0100
Subject: [PATCH 2/2] gajim: update to 1.3.0.

---
 srcpkgs/gajim/INSTALL.msg | 2 ++
 srcpkgs/gajim/template    | 9 +++++----
 2 files changed, 7 insertions(+), 4 deletions(-)
 create mode 100644 srcpkgs/gajim/INSTALL.msg

diff --git a/srcpkgs/gajim/INSTALL.msg b/srcpkgs/gajim/INSTALL.msg
new file mode 100644
index 00000000000..606558e8f34
--- /dev/null
+++ b/srcpkgs/gajim/INSTALL.msg
@@ -0,0 +1,2 @@
+'gajim-1.3.0.' do not work with installed plugins from older versions.
+Install 'gajim-plugin_installer' to update.
diff --git a/srcpkgs/gajim/template b/srcpkgs/gajim/template
index e4546a5e72f..ecec403f2d4 100644
--- a/srcpkgs/gajim/template
+++ b/srcpkgs/gajim/template
@@ -1,7 +1,8 @@
 # Template file for 'gajim'
 pkgname=gajim
-version=1.2.2
-revision=3
+version=1.3.0
+revision=1
+wrksrc=gajim-gajim-${version}
 build_style=python3-module
 hostmakedepends="gettext python3-setuptools"
 depends="python3-gobject python3-nbxmpp python3-pyasn1 python3-setuptools
@@ -11,9 +12,9 @@ short_desc="Full featured Jabber/XMPP client"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-3.0-only"
 homepage="https://www.gajim.org"
-changelog="https://dev.gajim.org/gajim/gajim/-/raw/master/ChangeLog"
+changelog="https://dev.gajim.org/gajim/gajim/raw/gajim-${version}/ChangeLog"
 distfiles="https://gajim.org/downloads/${version%.*}/gajim-${version}.tar.gz"
-checksum=fd0d1653fb3f7f97207fecc3218d38915adb1d741bf95a7eef83605bd6b8ccbd
+checksum=45e8c39e48225d6eb477f0c470112f3ba77c5def5795194f902ae51f32ea0cec
 # Does not find gdk, introspection typelib
 # even wtih gdk-pixbuf in checkdepends
 make_check=no

^ permalink raw reply	[flat|nested] 11+ messages in thread

* Re: [WIP] Update gajim
  2021-02-22 18:58 [PR PATCH] Update gajim teldra
                   ` (4 preceding siblings ...)
  2021-02-23 23:59 ` teldra
@ 2021-02-24  0:00 ` teldra
  2021-02-24  3:12 ` [PR REVIEW] " ericonr
                   ` (3 subsequent siblings)
  9 siblings, 0 replies; 11+ messages in thread
From: teldra @ 2021-02-24  0:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 561 bytes --]

New comment by teldra on void-packages repository

https://github.com/void-linux/void-packages/pull/28980#issuecomment-784618046

Comment:
@ericonr 
I propose this https://github.com/void-linux/void-packages/pull/28980/files#diff-fc7012e23bd2f26aa101b1df3a9c0bcc45beddff75f4e50a28597f652b89f11b.
Just to be sure, because I am not quite sure, if this is usual with updates. I just don't remember. And there is no (good) error msg.
If one launches app without any manual intervention, plugin window is just empty and plugins are only installable via zip file.

^ permalink raw reply	[flat|nested] 11+ messages in thread

* Re: [PR REVIEW] [WIP] Update gajim
  2021-02-22 18:58 [PR PATCH] Update gajim teldra
                   ` (5 preceding siblings ...)
  2021-02-24  0:00 ` teldra
@ 2021-02-24  3:12 ` ericonr
  2021-02-24  7:30 ` [PR PATCH] [Updated] " teldra
                   ` (2 subsequent siblings)
  9 siblings, 0 replies; 11+ messages in thread
From: ericonr @ 2021-02-24  3:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 290 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28980#discussion_r581582548

Comment:
```suggestion
gajim>=1.3.0 does not work with installed plugins from older versions.
Install 'gajim-plugin_installer' to update plugins.
```

^ permalink raw reply	[flat|nested] 11+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] Update gajim
  2021-02-22 18:58 [PR PATCH] Update gajim teldra
                   ` (6 preceding siblings ...)
  2021-02-24  3:12 ` [PR REVIEW] " ericonr
@ 2021-02-24  7:30 ` teldra
  2021-02-24  7:31 ` [PR REVIEW] " teldra
  2021-02-24  7:31 ` teldra
  9 siblings, 0 replies; 11+ messages in thread
From: teldra @ 2021-02-24  7:30 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 919 bytes --]

There is an updated pull request by teldra against master on the void-packages repository

https://github.com/teldra/void-packages update-gajim
https://github.com/void-linux/void-packages/pull/28980

[WIP] Update gajim
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me

#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [x] I built this PR locally for my native architecture, (x86_64-glibc)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl

closes https://github.com/void-linux/void-packages/pull/27957


A patch file from https://github.com/void-linux/void-packages/pull/28980.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update-gajim-28980.patch --]
[-- Type: text/x-diff, Size: 3196 bytes --]

From e0c483278894e5d65a936b59a67978e0196e3e6b Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 22 Feb 2021 19:09:36 +0100
Subject: [PATCH 1/2] python3-nbxmpp: update to 2.0.2.

---
 srcpkgs/python3-nbxmpp/template | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-nbxmpp/template b/srcpkgs/python3-nbxmpp/template
index bb6b13ae6ff..f0fe8a25297 100644
--- a/srcpkgs/python3-nbxmpp/template
+++ b/srcpkgs/python3-nbxmpp/template
@@ -1,15 +1,20 @@
 # Template file for 'python3-nbxmpp'
 pkgname=python3-nbxmpp
-version=1.0.2
-revision=2
+version=2.0.2
+revision=1
 wrksrc="${pkgname#*-}-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
-depends="python3-openssl"
+depends="python3-gobject python3-openssl python3-precis-i18n python3-idna"
+checkdepends="${depends} python3-wheel python3-pylint python3-coverage libsoup"
 short_desc="Non blocking Jabber/XMPP module"
 maintainer="Duncaen <duncaen@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://python-nbxmpp.gajim.org/"
 #changelog="https://dev.gajim.org/gajim/python-nbxmpp/raw/master/ChangeLog"
 distfiles="${PYPI_SITE}/n/nbxmpp/nbxmpp-${version}.tar.gz"
-checksum=991f014a2736123e989da454d6a467be8c4314bf86dbcc889e899f03726e856f
+checksum=a3863671ab88992d3ea5d475b25c88ffe18aa1030c9ce980e1014470d4760291
+
+do_check() {
+	coverage run --source=nbxmpp -m unittest discover -v
+}

From 3fd037e9b7a64daae28bae80a0c57f51a2fb2327 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Mon, 22 Feb 2021 19:33:08 +0100
Subject: [PATCH 2/2] gajim: update to 1.3.0.

---
 srcpkgs/gajim/INSTALL.msg | 2 ++
 srcpkgs/gajim/template    | 9 +++++----
 2 files changed, 7 insertions(+), 4 deletions(-)
 create mode 100644 srcpkgs/gajim/INSTALL.msg

diff --git a/srcpkgs/gajim/INSTALL.msg b/srcpkgs/gajim/INSTALL.msg
new file mode 100644
index 00000000000..1b1b38a1bb3
--- /dev/null
+++ b/srcpkgs/gajim/INSTALL.msg
@@ -0,0 +1,2 @@
+gajim>=1.3.0 does not work with installed plugins from older versions.
+Install 'gajim-plugin_installer' to update plugins.
diff --git a/srcpkgs/gajim/template b/srcpkgs/gajim/template
index e4546a5e72f..ecec403f2d4 100644
--- a/srcpkgs/gajim/template
+++ b/srcpkgs/gajim/template
@@ -1,7 +1,8 @@
 # Template file for 'gajim'
 pkgname=gajim
-version=1.2.2
-revision=3
+version=1.3.0
+revision=1
+wrksrc=gajim-gajim-${version}
 build_style=python3-module
 hostmakedepends="gettext python3-setuptools"
 depends="python3-gobject python3-nbxmpp python3-pyasn1 python3-setuptools
@@ -11,9 +12,9 @@ short_desc="Full featured Jabber/XMPP client"
 maintainer="teldra <teldra@rotce.de>"
 license="GPL-3.0-only"
 homepage="https://www.gajim.org"
-changelog="https://dev.gajim.org/gajim/gajim/-/raw/master/ChangeLog"
+changelog="https://dev.gajim.org/gajim/gajim/raw/gajim-${version}/ChangeLog"
 distfiles="https://gajim.org/downloads/${version%.*}/gajim-${version}.tar.gz"
-checksum=fd0d1653fb3f7f97207fecc3218d38915adb1d741bf95a7eef83605bd6b8ccbd
+checksum=45e8c39e48225d6eb477f0c470112f3ba77c5def5795194f902ae51f32ea0cec
 # Does not find gdk, introspection typelib
 # even wtih gdk-pixbuf in checkdepends
 make_check=no

^ permalink raw reply	[flat|nested] 11+ messages in thread

* Re: [PR REVIEW] [WIP] Update gajim
  2021-02-22 18:58 [PR PATCH] Update gajim teldra
                   ` (7 preceding siblings ...)
  2021-02-24  7:30 ` [PR PATCH] [Updated] " teldra
@ 2021-02-24  7:31 ` teldra
  2021-02-24  7:31 ` teldra
  9 siblings, 0 replies; 11+ messages in thread
From: teldra @ 2021-02-24  7:31 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 151 bytes --]

New review comment by teldra on void-packages repository

https://github.com/void-linux/void-packages/pull/28980#discussion_r581690160

Comment:
Done.

^ permalink raw reply	[flat|nested] 11+ messages in thread

* Re: [WIP] Update gajim
  2021-02-22 18:58 [PR PATCH] Update gajim teldra
                   ` (8 preceding siblings ...)
  2021-02-24  7:31 ` [PR REVIEW] " teldra
@ 2021-02-24  7:31 ` teldra
  9 siblings, 0 replies; 11+ messages in thread
From: teldra @ 2021-02-24  7:31 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 229 bytes --]

New comment by teldra on void-packages repository

https://github.com/void-linux/void-packages/pull/28980#issuecomment-784860365

Comment:
> And this now depends on the plugin installer PR being merged, right?

Yes!
@ericonr 

^ permalink raw reply	[flat|nested] 11+ messages in thread

end of thread, other threads:[~2021-02-24  7:31 UTC | newest]

Thread overview: 11+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-02-22 18:58 [PR PATCH] Update gajim teldra
2021-02-23 15:35 ` [WIP] " teldra
2021-02-23 22:35 ` ericonr
2021-02-23 23:51 ` [PR PATCH] [Updated] " teldra
2021-02-23 23:52 ` teldra
2021-02-23 23:59 ` teldra
2021-02-24  0:00 ` teldra
2021-02-24  3:12 ` [PR REVIEW] " ericonr
2021-02-24  7:30 ` [PR PATCH] [Updated] " teldra
2021-02-24  7:31 ` [PR REVIEW] " teldra
2021-02-24  7:31 ` teldra

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ http://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git